gi-atk-2.0.22: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Atk.Structs.Implementor

Contents

- Exported types
- Methods
  - Overloaded methods
  - refAccessible

Description

No description available in the introspection data.

Synopsis

- newtype Implementor = Implementor (ManagedPtr Implementor)
- implementorRefAccessible :: (HasCallStack, MonadIO m) => Implementor -> m Object

# Exported types

newtype Implementor Source #

Memory-managed wrapper type.

Constructors

Implementor (ManagedPtr Implementor) |

#### Instances

Instances details

Eq Implementor Source # |
Instance details Defined in GI.Atk.Structs.Implementor Methods (==) :: Implementor -> Implementor -> Bool # (/=) :: Implementor -> Implementor -> Bool #
BoxedPtr Implementor Source # |
Instance details Defined in GI.Atk.Structs.Implementor Methods boxedPtrCopy :: Implementor -> IO Implementor Source # boxedPtrFree :: Implementor -> IO () Source #
ManagedPtrNewtype Implementor Source # |
Instance details Defined in GI.Atk.Structs.Implementor Methods toManagedPtr :: Implementor -> ManagedPtr Implementor Source #

# Methods

## Overloaded methods

## refAccessible

implementorRefAccessible Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Implementor | `implementor`: The `Object` instance which should implement `ImplementorIface` if a non-null return value is required.
-> m Object | Returns: a reference to an object's `Object` implementation

Gets a reference to an object's `Object` implementation, if the object implements `AtkObjectIface`